package com.adealink.weparty.push

import com.adealink.frame.statistics.BaseStatEvent
import com.adealink.frame.statistics.CommonEventKey
import com.adealink.frame.statistics.IEventValue

class PushStatEvent(override val action: IEventValue) : BaseStatEvent("push") {
    enum class Action(override val value: String, override val desc: String) : IEventValue {
        CLICK("click", "点击"),
        SHOW("show", "展示"),
        IGNORE("ignore", "忽略"),

        SWITCH("switch", "系统通知的push开关"),
        RECEIVE("receive","收到push")
    }

    val type = Param(CommonEventKey.TYPE)
    val pushId = Param(CommonEventKey.PUSH_ID)
    val source = Param(CommonEventKey.SOURCE)

    val switch = Param(CommonEventKey.SWITCH)

    val deeplink = Param("deeplink")
    val content = Param(CommonEventKey.CONTENT)
}